Bug 1033125 - [RFE]: Get and set cinder driver through the CLI
[RFE]: Get and set cinder driver through the CLI
Status: CLOSED UPSTREAM
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
4.0
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: RHOS Maint
Dafna Ron
https://bugs.launchpad.net/cinder/+bu...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-21 10:25 EST by Yogev Rabl
Modified: 2016-04-26 10:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-20 09:45:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yogev Rabl 2013-11-21 10:25:55 EST
Description of problem:

The CLI should have the ability to get & set the Cinder's driver settings and configuration. At the moment, in order to change the configuration of a driver one should change the settings only through the cinder.conf file. 
This procedure is exposes the user to mistakes that might cause the service to crash without any good reason. 

To help the users configuring their Cinder back ends (single or multiple back ends) easily and with a check that the configuration input is valid for the driver that is been configured.
Comment 1 Eric Harney 2014-10-20 09:45:45 EDT
Discussion will take place upstream.

Note You need to log in before you can comment on or make changes to this bug.